Subject: Re: bug#24368: 25.1; Assertion failure in attach_marker

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Sep 2016 21:25:55 +0300

> Date: Mon, 05 Sep 2016 19:58:19 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  >> How?  In attach_frame, the buffer where the positions came from is not
>  >> known.
>  >
>  > It looks like the callers already take care of that?  Or did you find
>  > a case where this is not happening?
> 
> How would you then explain the assertion failure I reported initially?

I thought you've explained it yourself?  It was a bug, whereby the
marker was set up incorrectly.  Why would we want the assertions to be
protected from bugs?

Alternatively, if we do want to avoid assertions in such cases, let's
simply signal an error when the conditions don't hold.

>  >> Anyway, I passed an extra boolean to attach_marker to fix that
>  >> and now I get a similar assertion violation in temp_set_point_both.
>  >> This is a can of worms :-(
>  >
>  > Sorry, I guess you lost me: what did you try to fix and how?
> 
> I applied the attached patch.

And which test case triggers the assertion in temp_set_point_both,
after applying that patch?